org.firebirdsql.gds.impl

## Interface DatabaseParameterBufferExtension

- All Superinterfaces:
    ConnectionParameterBuffer, DatabaseParameterBuffer, java.lang.Iterable<Parameter>, ParameterBuffer
  All Known Implementing Classes:
    DatabaseParameterBufferImp, FBConnectionRequestInfo

      public interface DatabaseParameterBufferExtension
      extends DatabaseParameterBuffer

  Extension of the `DatabaseParameterBuffer` interface that allows GDS implementations remove the DPB extension parameters that driver implementation uses for client-side configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BLOB_BUFFER_SIZE`
    `static int` | `COLUMN_LABEL_FOR_NAME`
    `static int` | `DB_CRYPT_CONFIG`
    `static int[]` | `EXTENSION_PARAMETERS` List of the DPB extensions.
    `static int` | `FILENAME_CHARSET`
    `static int` | `IGNORE_PROCEDURE_TYPE`
    `static int` | `LOCAL_ENCODING`
    `static int` | `MAPPING_PATH`
    `static int` | `NO_RESULT_SET_TRACKING`
    `static int` | `OCTETS_AS_BYTES` Deprecated.
    `static int` | `PARANOIA_MODE`
    `static int` | `RESULT_SET_HOLDABLE`
    `static int` | `SO_TIMEOUT`
    `static int` | `SOCKET_BUFFER_SIZE`
    `static int` | `TIMESTAMP_USES_LOCAL_TIMEZONE`
    `static int` | `USE_FIREBIRD_AUTOCOMMIT`
    `static int` | `USE_STANDARD_UDF`
    `static int` | `USE_STREAM_BLOBS`
    `static int` | `WIRE_CRYPT_LEVEL`

    - ### Fields inherited from interface org.firebirdsql.gds.DatabaseParameterBuffer

      `ACTIVATE_SHADOW, ADDRESS_PATH, ALLOCATION, BEGIN_LOG, BUFFER_LENGTH, CACHE_MANAGER, CDD_PATHNAME, CONNECT_TIMEOUT, DAMAGED, DBKEY_SCOPE, DEBUG, DELETE_SHADOW, DISABLE_JOURNAL, DISABLE_WAL, DROP_WALFILE, DUMMY_PACKET_INTERVAL, ENABLE_JOURNAL, ENCRYPT_KEY, FORCE_WRITE, GARBAGE_COLLECT, GBAK_ATTACH, GFIX_ATTACH, GSEC_ATTACH, GSTAT_ATTACH, INTERP, JOURNAL, LC_CTYPE, LC_MESSAGES, LICENSE, NO_DB_TRIGGERS, NO_GARBAGE_COLLECT, NO_RESERVE, NUM_BUFFERS, NUMBER_OF_USERS, OLD_DUMP_ID, OLD_FILE, OLD_FILE_SIZE, OLD_NUM_FILES, OLD_START_FILE, OLD_START_PAGE, OLD_START_SEQNO, ONLINE, ONLINE_DUMP, OVERWRITE, PAGE_SIZE, PASSWORD, PASSWORD_ENC, PROCESS_ID, PROCESS_NAME, QUIT_LOG, RESERVED, SEC_ATTACH, SET_DB_CHARSET, SET_DB_READONLY, SET_DB_SQL_DIALECT, SET_PAGE_BUFFERS, SHUTDOWN, SHUTDOWN_DELAY, SQL_DIALECT, SQL_ROLE_NAME, SWEEP, SWEEP_INTERVAL, SYS_USER_NAME, SYS_USER_NAME_ENC, TRACE, TRUSTED_AUTH, USER, USER_NAME, VERIFY, WAL_BACKUP_DIR, WAL_BUFSIZE, WAL_CHKPTLEN, WAL_GRP_CMT_WAIT, WAL_NUMBUFS, WORKING_DIRECTORY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatabaseParameterBuffer` | `removeExtensionParams()` Remove extension parameters in the newly created deep copy of this class.

    - ### Methods inherited from interface org.firebirdsql.gds.DatabaseParameterBuffer

      `deepCopy`

    - ### Methods inherited from interface org.firebirdsql.gds.ConnectionParameterBuffer

      `getDefaultEncoding, getTagMapping`

    - ### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

      `addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### SOCKET_BUFFER_SIZE

          static final int SOCKET_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### BLOB_BUFFER_SIZE

          static final int BLOB_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### USE_STREAM_BLOBS

          static final int USE_STREAM_BLOBS

      See Also:
        Constant Field Values

    - #### PARANOIA_MODE

          static final int PARANOIA_MODE

      See Also:
        Constant Field Values

    - #### TIMESTAMP_USES_LOCAL_TIMEZONE

          static final int TIMESTAMP_USES_LOCAL_TIMEZONE

      See Also:
        Constant Field Values

    - #### USE_STANDARD_UDF

          static final int USE_STANDARD_UDF

      See Also:
        Constant Field Values

    - #### LOCAL_ENCODING

          static final int LOCAL_ENCODING

      See Also:
        Constant Field Values

    - #### MAPPING_PATH

          static final int MAPPING_PATH

      See Also:
        Constant Field Values

    - #### NO_RESULT_SET_TRACKING

          static final int NO_RESULT_SET_TRACKING

      See Also:
        Constant Field Values

    - #### RESULT_SET_HOLDABLE

          static final int RESULT_SET_HOLDABLE

      See Also:
        Constant Field Values

    - #### FILENAME_CHARSET

          static final int FILENAME_CHARSET

      See Also:
        Constant Field Values

    - #### OCTETS_AS_BYTES

          @Deprecated
          static final int OCTETS_AS_BYTES

      Deprecated.
      See Also:
        Constant Field Values

    - #### SO_TIMEOUT

          static final int SO_TIMEOUT

      See Also:
        Constant Field Values

    - #### COLUMN_LABEL_FOR_NAME

          static final int COLUMN_LABEL_FOR_NAME

      See Also:
        Constant Field Values

    - #### USE_FIREBIRD_AUTOCOMMIT

          static final int USE_FIREBIRD_AUTOCOMMIT

      See Also:
        Constant Field Values

    - #### WIRE_CRYPT_LEVEL

          static final int WIRE_CRYPT_LEVEL

      See Also:
        Constant Field Values

    - #### DB_CRYPT_CONFIG

          static final int DB_CRYPT_CONFIG

      See Also:
        Constant Field Values

    - #### IGNORE_PROCEDURE_TYPE

          static final int IGNORE_PROCEDURE_TYPE

      See Also:
        Constant Field Values

    - #### EXTENSION_PARAMETERS

          static final int[] EXTENSION_PARAMETERS

      List of the DPB extensions. This array is used to filter the parameters from the DPB before sending it to Firebird. Any new extension code MUST be listed here.

  - ### Method Detail

    - #### removeExtensionParams

          DatabaseParameterBuffer removeExtensionParams()

      Remove extension parameters in the newly created deep copy of this class.
      Returns:
        a deep copy of this class where all extension parameters are removed; needed to filter Jaybird extensions that are not understood by Firebird.

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.